# Create an FX Quote Creates an FX Quote object ## Returns Returns an FX Quote object ## Parameters - `from_currencies` (array of enums, required) A list of three letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be [supported currencies](https://stripe.com/docs/currencies). - `lock_duration` (enum, required) The duration that you wish the quote to be locked for. The quote will be usable for the duration specified. The default is `none`. The maximum is 1 day. Possible enum values: - `day` Requests a quote valid for one day - `five_minutes` Requests a quote valid for five minutes - `hour` Requests a quote valid for one hour - `none` Requests a quote valid without lock rate - `to_currency` (enum, required) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `usage` (object, optional) The usage specific information for the quote. - `usage.type` (enum, required) Which transaction the FX Quote will be used for Can be “payment” | “transfer” Possible enum values: - `payment` The usage of the FX Quote is for payments. - `transfer` The usage of the FX Quote is for transfers. - `usage.payment` (object, optional) The payment transaction details that are intended for the FX Quote. - `usage.payment.destination` (string, optional) The Stripe account ID that the funds will be transferred to. This field should match the account ID that would be used in the PaymentIntent’s transfer_data[destination] field. - `usage.payment.on_behalf_of` (string, optional) The Stripe account ID that these funds are intended for. This field should match the account ID that would be used in the PaymentIntent’s on_behalf_of field. - `usage.transfer` (object, optional) The transfer transaction details that are intended for the FX Quote. - `usage.transfer.destination` (string, required) The Stripe account ID that the funds will be transferred to. This field should match the account ID that would be used in the Transfer’s destination field. ```curl curl https://api.stripe.com/v1/fx_quotes \ -u "<>" \ -H "Stripe-Version: 2025-03-31.basil" \ -d to_currency=chf \ -d "from_currencies[]"=gbp \ -d "from_currencies[]"=krw \ -d lock_duration=hour ``` ### Response ```json { "id": "fxq_1QKf8UET9NELqCotgW6CNTnm", "object": "fx_quote", "created": 1731498806.6424642, "lock_duration": "hour", "lock_expires_at": 1731502406.5579598, "lock_status": "active", "rates": { "gbp": { "exchange_rate": 1.10167, "rate_details": { "base_rate": 1.12415, "fx_fee_rate": 0.02, "reference_rate": 1.12437, "reference_rate_provider": "ecb" } }, "krw": { "exchange_rate": 0.000617274, "rate_details": { "base_rate": 0.000629871, "fx_fee_rate": 0.02, "reference_rate": 0.000629997, "reference_rate_provider": "ecb" } } }, "to_currency": "chf", "usage": { "payment": null, "transfer": null, "type": "payment" } } ```